Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226207 - Merge Review: numactl
Summary: Merge Review: numactl
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:17 UTC by Nobody's working on this, feel free to take it
Modified: 2009-10-16 20:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-16 20:44:44 UTC
orion: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:17:37 UTC
Fedora Merge Review: numactl

http://cvs.fedora.redhat.com/viewcvs/devel/numactl/
Initial Owner: nhorman@redhat.com

Comment 1 Orion Poplawski 2007-07-26 18:45:08 UTC
Problems:

rpmlint:

W: numactl summary-not-capitalized library for tuning for Non Uniform Memory
Access machines
W: numactl-devel no-dependency-on numactl
E: numactl-devel useless-explicit-provides numactl-devel

This should fix:

--- numactl.spec        12 Jan 2007 14:37:41 -0000      1.39
+++ numactl.spec        26 Jul 2007 18:36:20 -0000
@@ -1,5 +1,5 @@
 Name:          numactl
-Summary:       library for tuning for Non Uniform Memory Access machines
+Summary:       Library for tuning for Non Uniform Memory Access machines
 Version:       0.9.8
 Release:       2%{dist}
 License:       LGPL/GPL
@@ -21,7 +21,7 @@
 %package devel
 Summary: Development package for building Applications that use numa
 Group: System Environment/Libraries
-Provides: numactl-devel
+Requires: %{name} = %{version}-%{release}

 %description devel
 Provides development headers for numa library calls

Please consider the missing Requires a bug that should be fixed in FC-6 and up -
it breaks builds.

Buildroot needs fixing:

The recommended values for the BuildRoot tag are (in descending order of
preference) :

%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%{_tmppath}/%{name}-%{version}-%{release}-root

Need to add to %files:

%doc README

you might also add CHANGES

Good:

- package meets naming guidelines
- license (LGPL/GPL) OK, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- no .la files
- post/postun ldconfig ok

Suggestion:

Why not:

 %prep
-%setup -q -c -a 0
-%patch1
-%patch2 -p1
+%setup -q
+%patch1 -p1
+%patch2 -p2

 %build
-cd numactl-%{version}
 make CFLAGS="$RPM_OPT_FLAGS -I. -fPIC"

 %install
@@ -44,7 +43,6 @@
 mkdir -p $RPM_BUILD_ROOT%{_mandir}/man5
 mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

-cd numactl-%{version}
 make prefix=$RPM_BUILD_ROOT/usr libdir=$RPM_BUILD_ROOT/%{_libdir} install

 %clean


Comment 2 Neil Horman 2007-08-04 00:36:33 UTC
fixed in -3.fc8.  Thanks!

Comment 3 Orion Poplawski 2007-08-07 20:24:07 UTC
Looks like the License tag needs updating as per
http://fedoraproject.org/wiki/Licensing

You don't want %{dist} in the change log:

--- numactl.spec        4 Aug 2007 00:34:50 -0000       1.42
+++ numactl.spec        7 Aug 2007 20:18:25 -0000
@@ -71,12 +71,12 @@
 %{_mandir}/man3/*.3*

 %changelog
-* Fri Aug 03 2007 Neil Horman <nhorman@redhat.com> - 0.9.8-3%{dist}
+* Fri Aug 03 2007 Neil Horman <nhorman@redhat.com> - 0.9.8-3
 - fixing up merge review (bz 226207)

-* Fri Jan 12 2007 Neil Horman <nhorman@redhat.com> - 0.9.8-2%{dist}
+* Fri Jan 12 2007 Neil Horman <nhorman@redhat.com> - 0.9.8-2
 - Properly fixed bz 221982
-- Updated revision string to include %{dist}
+- Updated revision string to include %%{dist}

 * Thu Jan 11 2007 Neil Horman <nhorman@redhat.com> - 0.9.8-1.38
 - Fixed -devel to depend on base package so libnuma.so resolves

But I think that's about it...


Comment 4 Orion Poplawski 2009-10-16 20:44:44 UTC
dist has been removed from changelog.


Note You need to log in before you can comment on or make changes to this bug.